function varargout = geometry_factor_20_export(varargin)
% MATLAB Courseware for Machine Design by Shih-Liang (Sid) Wang
% Software Copyright 2004 by The McGraw-Hill Companies, Inc.  All rights reserved.
%
% GEOMETRY_FACTOR_20_EXPORT M-file for geometry_factor_20_export.fig
%      GEOMETRY_FACTOR_20_EXPORT, by itself, creates a new GEOMETRY_FACTOR_20_EXPORT or raises the existing
%      singleton*.
%
%      H = GEOMETRY_FACTOR_20_EXPORT returns the handle to a new GEOMETRY_FACTOR_20_EXPORT or the handle to
%      the existing singleton*.
%
%      GEOMETRY_FACTOR_20_EXPORT('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in GEOMETRY_FACTOR_20_EXPORT.M with the given input arguments.
%
%      GEOMETRY_FACTOR_20_EXPORT('Property','Value',...) creates a new GEOMETRY_FACTOR_20_EXPORT or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before geometry_factor_20_export_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to geometry_factor_20_export_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help geometry_factor_20_export

% Last Modified by GUIDE v2.5 14-Apr-2003 15:37:47

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @geometry_factor_20_export_OpeningFcn, ...
                   'gui_OutputFcn',  @geometry_factor_20_export_OutputFcn, ...
                   'gui_LayoutFcn',  @geometry_factor_20_export_LayoutFcn, ...
                   'gui_Callback',   []);
if nargin & isstr(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before geometry_factor_20_export is made visible.
function geometry_factor_20_export_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to geometry_factor_20_export (see VARARGIN)

% Choose default command line output for geometry_factor_20_export
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes geometry_factor_20_export wait for user response (see UIRESUME)
% uiwait(handles.figure1);
if strcmp(get(hObject,'Visible'),'off')
    axis off
end


% --- Outputs from this function are returned to the command line.
function varargout = geometry_factor_20_export_OutputFcn(hObject, eventdata, handles)
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;

function pushbutton_plot_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_plot_3d_2d (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

T(1)= str2double(get(handles.edit_teeth_gear, 'String'));
T(2)= str2double(get(handles.edit_teeth_pinion, 'String'));


% Read the datas for base radius and moving radius.
% 	FStr=get(FeditHndl,'String');
% 	T(1)=sscanf(FStr,'%f');
% 	DStr=get(DeditHndl,'String');
%     T(2)=sscanf(DStr,'%f');

%%%%%%%%
%J for 20 deg 

x=[21,26,35,55,135,];   %# of teeth

%hpstc (highest point of single-tooth contact)
y=[.33,.35,.37,.40,.43;...  %21T
   .33,.35,.38,.41,.44;...  %26T  
   .34,.36,.39,.42,.45;...  %35T
   .34,.37,.40,.43,.47;...  %55T
   .35,.38,.41,.45,.49;...  %135T
];

for i=1:5
plot(x,y(i,:),'-om')
    text(100,.27,'Tip Loading','HorizontalAlignment','left','VerticalAlignment','middle')
    text(80,.39,'highest point of single-tooth contact','HorizontalAlignment','left','VerticalAlignment','middle')
    text(110,.37,'(HPSTC)','HorizontalAlignment','center','VerticalAlignment','middle')
    text(117,.415,'20T','HorizontalAlignment','left','VerticalAlignment','middle')
    text(125,.435,'26T','HorizontalAlignment','left','VerticalAlignment','middle')
    text(117,.445,'35T','HorizontalAlignment','left','VerticalAlignment','middle')
    text(125,.465,'55T','HorizontalAlignment','left','VerticalAlignment','middle')
    text(117,.48,'135T','HorizontalAlignment','left','VerticalAlignment','middle')
hold on;
end

%tip loading
c=[.24,.25,.26,.28,.29];
plot(x,c,'-ob')
hold on;
 
Tflag=[0,0]; %default is inbound
for j=1:2
    if (T(j)<x(1) | T(j)>x(5))
    Tflag(j)=1; % number of teeth is out of bound
    else
        for i=1:5
            if (T(j)>=x(i))&  (T(j)<x(i+1))  
                Tindex(j)=i;  %locate the teeth into the current grid
            end
        end
    end
end

   if Tflag==[0,0]
    ya=[y(Tindex(2),Tindex(1)),y(Tindex(2),Tindex(1)+1)];   %left end points, on two successive curves
    yb=[y(Tindex(2)+1,Tindex(1)),y(Tindex(2)+1,Tindex(1)+1)];  %right end points, on two successive curves

y1=ya(1)+(yb(1)-ya(1))*(T(1)-x(Tindex(1)))/(x(Tindex(1)+1)-x(Tindex(1))); %interpolation, first line
y2=ya(2)+(yb(2)-ya(2))*(T(1)-x(Tindex(1)))/(x(Tindex(1)+1)-x(Tindex(1))); %interpolation, second line
yT2=y1+(y2-y1)*(T(1)-x(Tindex(1)))/(x(Tindex(1)+1)-x(Tindex(1)));          %interpolation, geometry factor
plot(T(1),yT2, '-*k');
hold on;

    ya=[y(Tindex(1),Tindex(2)),y(Tindex(1),Tindex(2)+1)];
    yb=[y(Tindex(1)+1,Tindex(2)),y(Tindex(1)+1,Tindex(2)+1)];

y1=ya(1)+(yb(1)-ya(1))*(T(2)-x(Tindex(2)))/(x(Tindex(2)+1)-x(Tindex(2)));
y2=ya(2)+(yb(2)-ya(2))*(T(2)-x(Tindex(2)))/(x(Tindex(2)+1)-x(Tindex(2)));
yT1=y1+(y2-y1)*(T(2)-x(Tindex(2)))/(x(Tindex(2)+1)-x(Tindex(2)));         %interpolation, geometry factor
plot(T(2),yT1, '-*k');
hold on;

%tip loading
    yat=[c(Tindex(1)),c(Tindex(2))];                %left end point
    ybt=[c(Tindex(1)+1),c(Tindex(2)+1)];            %right end point

y1=yat(1)+(ybt(1)-yat(1))*(T(1)-x(Tindex(1)))/(x(Tindex(1)+1)-x(Tindex(1)));         %interpolation, geometry factor
y2=yat(2)+(ybt(2)-yat(2))*(T(2)-x(Tindex(2)))/(x(Tindex(2)+1)-x(Tindex(2)));         %interpolation, geometry factor
plot(T(1),y1,'-*r',T(2),y2, '-*r');
hold on;

xlabel('Gear Teeth')
ylabel('Geometry Factor J')
hold off;

set(handles.edit_j_g_hpstc,'String',num2str(yT1, '%6.2f'));
set(handles.edit_j_p_hpstc,'String',num2str(yT2, '%6.2f'));
set(handles.edit_j_g_tip,'String',num2str(y1, '%6.2f'));
set(handles.edit_j_p_tip,'String',num2str(y2, '%6.2f'));

else
    % set([startHndl closeHndl FeditHndl DeditHndl],'Enable','on');
    

      set(handles.edit_j_g_hpstc,'String','# of teeth ');
      set(handles.edit_j_p_hpstc,'String','must be ');
      set(handles.edit_j_g_tip,'String','>21  or  ');
      set(handles.edit_j_p_tip,'String','<135');

%    
end %end if
% end

% --- Executes during object creation, after setting all properties.
function edit_teeth_pinion_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_teeth_pinion (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_teeth_pinion_Callback(hObject, eventdata, handles)
% hObject    handle to edit_teeth_pinion (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_teeth_pinion as text
%        str2double(get(hObject,'String')) returns contents of edit_teeth_pinion as a double


% --- Executes during object creation, after setting all properties.


% --- Executes during object creation, after setting all properties.
function edit_geometry_factor_20_export_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_geometry_factor_20_export (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_geometry_factor_20_export_Callback(hObject, eventdata, handles)
% hObject    handle to edit_geometry_factor_20_export (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_geometry_factor_20_export as text
%        str2double(get(hObject,'String')) returns contents of edit_geometry_factor_20_export as a double



% --------------------------------------------------------------------
function file_menu_Callback(hObject, eventdata, handles)
% hObject    handle to file_menu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)



% --------------------------------------------------------------------
function print_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to print_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

printdlg(handles.figure1)

% --------------------------------------------------------------------
function exit_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to exit_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

delete(handles.figure1)




% --- Executes during object creation, after setting all properties.
function edit_teeth_gear_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_teeth_gear (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_teeth_gear_Callback(hObject, eventdata, handles)
% hObject    handle to edit_teeth_gear (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_teeth_gear as text
%        str2double(get(hObject,'String')) returns contents of edit_teeth_gear as a double


% --- Executes during object creation, after setting all properties.
function edit_j_g_hpstc_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_j_g_hpstc (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_j_g_hpstc_Callback(hObject, eventdata, handles)
% hObject    handle to edit_j_g_hpstc (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_j_g_hpstc as text
%        str2double(get(hObject,'String')) returns contents of edit_j_g_hpstc as a double


% --- Executes during object creation, after setting all properties.
function edit_j_p_hpstc_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_j_p_hpstc (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_j_p_hpstc_Callback(hObject, eventdata, handles)
% hObject    handle to edit_j_p_hpstc (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_j_p_hpstc as text
%        str2double(get(hObject,'String')) returns contents of edit_j_p_hpstc as a double


% --- Executes during object creation, after setting all properties.
function edit_j_g_tip_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_j_g_tip (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_j_g_tip_Callback(hObject, eventdata, handles)
% hObject    handle to edit_j_g_tip (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_j_g_tip as text
%        str2double(get(hObject,'String')) returns contents of edit_j_g_tip as a double


% --- Executes during object creation, after setting all properties.
function edit_j_p_tip_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_j_p_tip (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_j_p_tip_Callback(hObject, eventdata, handles)
% hObject    handle to edit_j_p_tip (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_j_p_tip as text
%        str2double(get(hObject,'String')) returns contents of edit_j_p_tip as a double


% --------------------------------------------------------------------
function help_menu_Callback(hObject, eventdata, handles)
% hObject    handle to help_menu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)



% --------------------------------------------------------------------
function about_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to about_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

scrsz = get(0,'ScreenSize');
figure('name','About MATLAB for Machine Design','menubar', 'none','NumberTitle','off' ,'Position',[.6*scrsz(3)  .6*scrsz(4) scrsz(3)/4 scrsz(4)/4])
%scrsz(3) is the width; scrsz(4)is the height; the window is positioned at
%upper right corner.
axis off;
text(.46, .95,' \bf  MATLAB Courseware ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .83,' \bf for ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .71,' \bf  Machine Design','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .55,'  Release 1.0','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .43,' March 10, 2003','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, .25,'  Software copyright \copyright 2004 ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, .11,' by Shih-Liang (Sid) Wang','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, -.09,' All rights reserved.','HorizontalAlignment','center','VerticalAlignment','bottom')

% --------------------------------------------------------------------
function overview_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to overview_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
 
open geometry_factor_20.htm



% --- Creates and returns a handle to the GUI figure. 
function h1 = geometry_factor_20_export_LayoutFcn(policy)
% policy - create a new figure or use a singleton. 'new' or 'reuse'.

persistent hsingleton;
if strcmpi(policy, 'reuse') & ishandle(hsingleton)
    h1 = hsingleton;
    return;
end

h1 = figure(...
'Units','characters',...
'Color',[0.682352941176471 0.658823529411765 0.850980392156863],...
'Colormap',[0 0 0.5625;0 0 0.625;0 0 0.6875;0 0 0.75;0 0 0.8125;0 0 0.875;0 0 0.9375;0 0 1;0 0.0625 1;0 0.125 1;0 0.1875 1;0 0.25 1;0 0.3125 1;0 0.375 1;0 0.4375 1;0 0.5 1;0 0.5625 1;0 0.625 1;0 0.6875 1;0 0.75 1;0 0.8125 1;0 0.875 1;0 0.9375 1;0 1 1;0.0625 1 1;0.125 1 0.9375;0.1875 1 0.875;0.25 1 0.8125;0.3125 1 0.75;0.375 1 0.6875;0.4375 1 0.625;0.5 1 0.5625;0.5625 1 0.5;0.625 1 0.4375;0.6875 1 0.375;0.75 1 0.3125;0.8125 1 0.25;0.875 1 0.1875;0.9375 1 0.125;1 1 0.0625;1 1 0;1 0.9375 0;1 0.875 0;1 0.8125 0;1 0.75 0;1 0.6875 0;1 0.625 0;1 0.5625 0;1 0.5 0;1 0.4375 0;1 0.375 0;1 0.3125 0;1 0.25 0;1 0.1875 0;1 0.125 0;1 0.0625 0;1 0 0;0.9375 0 0;0.875 0 0;0.8125 0 0;0.75 0 0;0.6875 0 0;0.625 0 0;0.5625 0 0],...
'IntegerHandle','off',...
'InvertHardcopy',get(0,'defaultfigureInvertHardcopy'),...
'MenuBar','none',...
'Name','geometry_factor_20',...
'NumberTitle','off',...
'PaperPosition',get(0,'defaultfigurePaperPosition'),...
'Position',[80 10 112 32.3076923076923],...
'Renderer',get(0,'defaultfigureRenderer'),...
'RendererMode','manual',...
'Resize','off',...
'HandleVisibility','callback',...
'Tag','figure1',...
'UserData',zeros(1,0));

setappdata(h1, 'GUIDEOptions', struct(...
'active_h', 2.080022e+002, ...
'taginfo', struct(...
'figure', 2, ...
'text', 36, ...
'axes', 2, ...
'edit', 22, ...
'pushbutton', 4, ...
'frame', 11), ...
'override', 0, ...
'release', 13, ...
'resize', 'none', ...
'accessibility', 'callback', ...
'mfile', 1, ...
'callbacks', 1, ...
'singleton', 1, ...
'syscolorfig', 1, ...
'lastSavedFile', 'D:\Sid Wang- summer work\matlab_r13\design\ugural\geometry_factor_20.m'));


h2 = axes(...
'Parent',h1,...
'Units','characters',...
'CameraPosition',[0.5 0.5 9.16025403784439],...
'CameraPositionMode',get(0,'defaultaxesCameraPositionMode'),...
'Color',get(0,'defaultaxesColor'),...
'ColorOrder',get(0,'defaultaxesColorOrder'),...
'Position',[13 3.69230769230769 92.8 23.2307692307692],...
'XColor',get(0,'defaultaxesXColor'),...
'YColor',get(0,'defaultaxesYColor'),...
'ZColor',get(0,'defaultaxesZColor'),...
'Tag','axes1');


h3 = get(h2,'title');

set(h3,...
'Parent',h2,...
'Color',[0 0 0],...
'HorizontalAlignment','center',...
'Position',[0.498922413793103 1.02152317880795 1.00005459937205],...
'VerticalAlignment','bottom',...
'HandleVisibility','off');

h4 = get(h2,'xlabel');

set(h4,...
'Parent',h2,...
'Color',[0 0 0],...
'HorizontalAlignment','center',...
'Position',[0.498922413793103 -0.0778145695364239 1.00005459937205],...
'VerticalAlignment','cap',...
'HandleVisibility','off');

h5 = get(h2,'ylabel');

set(h5,...
'Parent',h2,...
'Color',[0 0 0],...
'HorizontalAlignment','center',...
'Position',[-0.0614224137931034 0.495033112582781 1.00005459937205],...
'Rotation',90,...
'VerticalAlignment','bottom',...
'HandleVisibility','off');

h6 = get(h2,'zlabel');

set(h6,...
'Parent',h2,...
'Color',[0 0 0],...
'HorizontalAlignment','right',...
'Position',[-0.141163793103448 1.22682119205298 1.00005459937205],...
'HandleVisibility','off',...
'Visible','off');

h7 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'CData',zeros(1,0),...
'ListboxTop',0,...
'Position',[13.4 27.5384615384615 22 4.46153846153846],...
'String',{ '' },...
'Style','frame',...
'Tag','frame2',...
'UserData',zeros(1,0));


h8 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','geometry_factor_20_export(''edit_teeth_gear_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[14.6 27.9230769230769 8 1.61538461538462],...
'String','52',...
'Style','edit',...
'CreateFcn','geometry_factor_20_export(''edit_teeth_gear_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_teeth_gear');


h9 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[13.6 29.5384615384615 10 1.15384615384615],...
'String','Gear',...
'Style','text',...
'Tag','text7');


h10 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','geometry_factor_20_export(''edit_teeth_pinion_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[25 27.9230769230769 8 1.61538461538462],...
'String','24',...
'Style','edit',...
'CreateFcn','geometry_factor_20_export(''edit_teeth_pinion_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_teeth_pinion');


h11 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[24 29.6153846153846 10 1.15384615384615],...
'String','Pinion',...
'Style','text',...
'Tag','text8');


h12 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'CData',zeros(1,0),...
'ListboxTop',0,...
'Position',[14.2 30.6153846153846 20 1.23076923076923],...
'String','Number of Teeth',...
'Style','text',...
'Tag','text9',...
'UserData',zeros(1,0));


h13 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ForegroundColor',[0 0.501960784313725 0],...
'ListboxTop',0,...
'Position',[50.6 27.5384615384615 28 4.46153846153846],...
'String',{ '' },...
'Style','frame',...
'Tag','frame4');


h14 = uimenu(...
'Parent',h1,...
'Callback','geometry_factor_20_export(''file_menu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','File',...
'Tag','file_menu');

h15 = uimenu(...
'Parent',h14,...
'Callback','geometry_factor_20_export(''print_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Print',...
'Tag','print_submenu');

h16 = uimenu(...
'Parent',h14,...
'Callback','geometry_factor_20_export(''exit_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Exit',...
'Tag','exit_submenu');

h17 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','geometry_factor_20_export(''edit_j_g_hpstc_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[51.4 27.9230769230769 10 1.61538461538462],...
'String','',...
'Style','edit',...
'CreateFcn','geometry_factor_20_export(''edit_j_g_hpstc_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_j_g_hpstc');


h18 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'Callback','geometry_factor_20_export(''pushbutton_plot_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[39.6 28.3076923076923 6.8 2.30769230769231],...
'String','Plot',...
'Tag','pushbutton_plot');


h19 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'CData',zeros(1,0),...
'ListboxTop',0,...
'Position',[51 29.6923076923077 10 1.15384615384615],...
'String','Gear',...
'Style','text',...
'Tag','text15',...
'UserData',zeros(1,0));


h20 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'CData',zeros(1,0),...
'ListboxTop',0,...
'Position',[51.8 30.7692307692308 26 1.15384615384615],...
'String','Geometry Factor-HPSTC',...
'Style','text',...
'Tag','text17',...
'UserData',zeros(1,0));


h21 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','geometry_factor_20_export(''edit_j_p_hpstc_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[66.4 27.9230769230769 10 1.61538461538462],...
'String','',...
'Style','edit',...
'CreateFcn','geometry_factor_20_export(''edit_j_p_hpstc_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_j_p_hpstc');


h22 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'CData',zeros(1,0),...
'ListboxTop',0,...
'Position',[66 29.6153846153846 10 1.15384615384615],...
'String','Pinion',...
'Style','text',...
'Tag','text31',...
'UserData',zeros(1,0));


h23 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ForegroundColor',[0 0.501960784313725 0],...
'ListboxTop',0,...
'Position',[79.2 27.5384615384615 28 4.46153846153846],...
'String',{ '' },...
'Style','frame',...
'Tag','frame10');


h24 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','geometry_factor_20_export(''edit_j_g_tip_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[80 27.9230769230769 10 1.61538461538462],...
'String','',...
'Style','edit',...
'CreateFcn','geometry_factor_20_export(''edit_j_g_tip_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_j_g_tip');


h25 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'CData',zeros(1,0),...
'ListboxTop',0,...
'Position',[79.6 29.6923076923077 10 1.15384615384615],...
'String','Gear',...
'Style','text',...
'Tag','text32',...
'UserData',zeros(1,0));


h26 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'CData',zeros(1,0),...
'ListboxTop',0,...
'Position',[80.4 30.7692307692308 26 1.15384615384615],...
'String','Geometry Factor-Tip',...
'Style','text',...
'Tag','text33',...
'UserData',zeros(1,0));


h27 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','geometry_factor_20_export(''edit_j_p_tip_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[95 27.9230769230769 10 1.61538461538462],...
'String','',...
'Style','edit',...
'CreateFcn','geometry_factor_20_export(''edit_j_p_tip_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_j_p_tip');


h28 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'CData',zeros(1,0),...
'ListboxTop',0,...
'Position',[94.4 29.6153846153846 10 1.15384615384615],...
'String','Pinion',...
'Style','text',...
'Tag','text34',...
'UserData',zeros(1,0));


h29 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'FontWeight','bold',...
'ListboxTop',0,...
'Position',[17 -0.0769230769230769 92 1.07692307692308],...
'String','Software copyright  2004 by The McGraw-Hill Companies, Inc. All rights reserved. ',...
'Style','text',...
'Tag','text35');


h30 = uimenu(...
'Parent',h1,...
'Callback','geometry_factor_20_export(''help_menu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Help',...
'Tag','help_menu');

h31 = uimenu(...
'Parent',h30,...
'Callback','geometry_factor_20_export(''overview_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Overview',...
'Tag','overview_submenu');

h32 = uimenu(...
'Parent',h30,...
'Callback','geometry_factor_20_export(''about_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','About . . .',...
'Tag','about_submenu');


hsingleton = h1;


% --- Handles default GUIDE GUI creation and callback dispatch
function varargout = gui_mainfcn(gui_State, varargin)


%   GUI_MAINFCN provides these command line APIs for dealing with GUIs
%
%      GEOMETRY_FACTOR_20_EXPORT, by itself, creates a new GEOMETRY_FACTOR_20_EXPORT or raises the existing
%      singleton*.
%
%      H = GEOMETRY_FACTOR_20_EXPORT returns the handle to a new GEOMETRY_FACTOR_20_EXPORT or the handle to
%      the existing singleton*.
%
%      GEOMETRY_FACTOR_20_EXPORT('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in GEOMETRY_FACTOR_20_EXPORT.M with the given input arguments.
%
%      GEOMETRY_FACTOR_20_EXPORT('Property','Value',...) creates a new GEOMETRY_FACTOR_20_EXPORT or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before untitled_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to untitled_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".

%   Copyright 1984-2002 The MathWorks, Inc.
%   $Revision: 1.4 $ $Date: 2002/05/31 21:44:31 $

gui_StateFields =  {'gui_Name'
                    'gui_Singleton'
                    'gui_OpeningFcn'
                    'gui_OutputFcn'
                    'gui_LayoutFcn'
                    'gui_Callback'};
gui_Mfile = '';
for i=1:length(gui_StateFields)
    if ~isfield(gui_State, gui_StateFields{i})
        error('Could not find field %s in the gui_State struct in GUI M-file %s', gui_StateFields{i}, gui_Mfile);        
    elseif isequal(gui_StateFields{i}, 'gui_Name')
        gui_Mfile = [getfield(gui_State, gui_StateFields{i}), '.m'];
    end
end

numargin = length(varargin);

if numargin == 0
    % GEOMETRY_FACTOR_20_EXPORT
    % create the GUI
    gui_Create = 1;
elseif numargin > 3 & ischar(varargin{1}) & ishandle(varargin{2})
    % GEOMETRY_FACTOR_20_EXPORT('CALLBACK',hObject,eventData,handles,...)
    gui_Create = 0;
else
    % GEOMETRY_FACTOR_20_EXPORT(...)
    % create the GUI and hand varargin to the openingfcn
    gui_Create = 1;
end

if gui_Create == 0
    varargin{1} = gui_State.gui_Callback;
    if nargout
        [varargout{1:nargout}] = feval(varargin{:});
    else
        feval(varargin{:});
    end
else
    if gui_State.gui_Singleton
        gui_SingletonOpt = 'reuse';
    else
        gui_SingletonOpt = 'new';
    end
    
    % Open fig file with stored settings.  Note: This executes all component
    % specific CreateFunctions with an empty HANDLES structure.
    
    % Do feval on layout code in m-file if it exists
    if ~isempty(gui_State.gui_LayoutFcn)
        gui_hFigure = feval(gui_State.gui_LayoutFcn, gui_SingletonOpt);
    else
        gui_hFigure = local_openfig(gui_State.gui_Name, gui_SingletonOpt);            
        % If the figure has InGUIInitialization it was not completely created
        % on the last pass.  Delete this handle and try again.
        if isappdata(gui_hFigure, 'InGUIInitialization')
            delete(gui_hFigure);
            gui_hFigure = local_openfig(gui_State.gui_Name, gui_SingletonOpt);            
        end
    end
    
    % Set flag to indicate starting GUI initialization
    setappdata(gui_hFigure,'InGUIInitialization',1);

    % Fetch GUIDE Application options
    gui_Options = getappdata(gui_hFigure,'GUIDEOptions');
    
    if ~isappdata(gui_hFigure,'GUIOnScreen')
        % Adjust background color
        if gui_Options.syscolorfig 
            set(gui_hFigure,'Color', get(0,'DefaultUicontrolBackgroundColor'));
        end

        % Generate HANDLES structure and store with GUIDATA
        guidata(gui_hFigure, guihandles(gui_hFigure));
    end
    
    % If user specified 'Visible','off' in p/v pairs, don't make the figure
    % visible.
    gui_MakeVisible = 1;
    for ind=1:2:length(varargin)
        if length(varargin) == ind
            break;
        end
        len1 = min(length('visible'),length(varargin{ind}));
        len2 = min(length('off'),length(varargin{ind+1}));
        if ischar(varargin{ind}) & ischar(varargin{ind+1}) & ...
                strncmpi(varargin{ind},'visible',len1) & len2 > 1
            if strncmpi(varargin{ind+1},'off',len2)
                gui_MakeVisible = 0;
            elseif strncmpi(varargin{ind+1},'on',len2)
                gui_MakeVisible = 1;
            end
        end
    end
    
    % Check for figure param value pairs
    for index=1:2:length(varargin)
        if length(varargin) == index
            break;
        end
        try, set(gui_hFigure, varargin{index}, varargin{index+1}), catch, break, end
    end

    % If handle visibility is set to 'callback', turn it on until finished
    % with OpeningFcn
    gui_HandleVisibility = get(gui_hFigure,'HandleVisibility');
    if strcmp(gui_HandleVisibility, 'callback')
        set(gui_hFigure,'HandleVisibility', 'on');
    end
    
    feval(gui_State.gui_OpeningFcn, gui_hFigure, [], guidata(gui_hFigure), varargin{:});
    
    if ishandle(gui_hFigure)
        % Update handle visibility
        set(gui_hFigure,'HandleVisibility', gui_HandleVisibility);
        
        % Make figure visible
        if gui_MakeVisible
            set(gui_hFigure, 'Visible', 'on')
            if gui_Options.singleton 
                setappdata(gui_hFigure,'GUIOnScreen', 1);
            end
        end

        % Done with GUI initialization
        rmappdata(gui_hFigure,'InGUIInitialization');
    end
    
    % If handle visibility is set to 'callback', turn it on until finished with
    % OutputFcn
    if ishandle(gui_hFigure)
        gui_HandleVisibility = get(gui_hFigure,'HandleVisibility');
        if strcmp(gui_HandleVisibility, 'callback')
            set(gui_hFigure,'HandleVisibility', 'on');
        end
        gui_Handles = guidata(gui_hFigure);
    else
        gui_Handles = [];
    end
    
    if nargout
        [varargout{1:nargout}] = feval(gui_State.gui_OutputFcn, gui_hFigure, [], gui_Handles);
    else
        feval(gui_State.gui_OutputFcn, gui_hFigure, [], gui_Handles);
    end
    
    if ishandle(gui_hFigure)
        set(gui_hFigure,'HandleVisibility', gui_HandleVisibility);
    end
end    

function gui_hFigure = local_openfig(name, singleton)
if nargin('openfig') == 3 
    gui_hFigure = openfig(name, singleton, 'auto');
else
    % OPENFIG did not accept 3rd input argument until R13,
    % toggle default figure visible to prevent the figure
    % from showing up too soon.
    gui_OldDefaultVisible = get(0,'defaultFigureVisible');
    set(0,'defaultFigureVisible','off');
    gui_hFigure = openfig(name, singleton);
    set(0,'defaultFigureVisible',gui_OldDefaultVisible);
end

